%global _internal_version  2464a6c

Name:           mate-character-map
Version:        1.6.1
Release:        0.1.git%{_internal_version}%{?dist}
Summary:        Unicode character picker and font browser

Group:          Applications/System
License:        GPLv2+ and LGPLv3+
URL:            http://pub.mate-desktop.org

# To generate tarball
# wget http://git.mate-desktop.org/%%{name}/snapshot/%%{name}-{_internal_version}.tar.xz -O %%{name}-%%{version}.git%%{_internal_version}.tar.xz
Source0: http://raveit65.fedorapeople.org/Mate/git-upstream/%{name}-%{version}.git%{_internal_version}.tar.xz

#Source:         http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

BuildRequires:  mate-doc-utils >= 1.0.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  mate-common
BuildRequires:  gtk2-devel
BuildRequires:  cairo-gobject-devel
BuildRequires:  desktop-file-utils


%description
This program allows you to browse through all the available Unicode
characters and categories for the installed fonts, and to examine their
detailed properties. It is an easy way to find the character you might
only know by its Unicode name or code point.

%package devel
Summary: Libraries and headers for mate-character-map
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The mate-character-map package contains header files and other resources
needed to use the mate-character-map library.

%prep
#%setup -q
%setup -q -n %{name}-%{_internal_version}

NOCONFIGURE=1 ./autogen.sh

%build

%configure \
    --disable-static \
    --with-gtk=2.0 \
    --disable-scrollkeeper \
    --enable-introspection

# remove unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT RUN_QUERY_IMMODULES_TEST=false

rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang mucharmap

desktop-file-validate ${RPM_BUILD_ROOT}/%{_datadir}/applications/mucharmap.desktop


%post
/sbin/ldconfig
/usr/bin/update-desktop-database -q
/bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database -q
if [ $1 -eq 0 ]; then
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :



%files -f mucharmap.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/mucharmap
%{_bindir}/mate-character-map
%{_libdir}/libmucharmap.so.*
%{_datadir}/applications/mucharmap.desktop
%{_libdir}/girepository-1.0/*
%{_datadir}/omf/mucharmap/
%{_datadir}/mate/help/mucharmap/
%{_datadir}/glib-2.0/schemas/org.mate.mucharmap.enums.xml
%{_datadir}/glib-2.0/schemas/org.mate.mucharmap.gschema.xml

%files devel
%{_includedir}/mucharmap-2.0/
%{_libdir}/libmucharmap.so
%{_libdir}/pkgconfig/mucharmap-2.pc
%{_datadir}/gir-1.0/*


%changelog
* Fri Oct 18 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-0.1.git2464a6c
- update to latest git snapshot
- fix crash  on search, rhbz (#1020980)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 24 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-4
- fix mixed-use-of-spaces-and-tabs in spec file
- fix description -devel subpackage

* Mon May 20 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-3
- do not own %%{_libdir}/girepository-1.0
- remove -data subpackage
- remove %%check and use %%install for desktop-file-validate

* Sat May 11 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- fix license informations
- try fix unused-direct-shlib-dependency
- create -data noarch subpackage
- move locale to -data subpackage
- move help dir to -data subpackage
- organized rpm scriplets

* Wed Apr 03 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-1
- update to 1.6.0

* Thu Mar 21 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.0-2
- initial build for fedora

* Mon Jan 14 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.0-1
- build against official fedora mate desktop
- switch to gsettings

* Wed Sep 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-0101
- add  'OnlyShowIn=MATE' to desktop file

* Sun Sep 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-0100
- improve spec file
- security update

* Sun Jan 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- switching to https://github.com/gfunkmonk2 as source
- mate-charactor-map is now mate-charmap
- rebuild for enable builds for .i686

* Wed Jan 04 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 2011.12.01-1
- mate-character-map.spec based on gucharmap-2.33.2-6.fc15 spec

